Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipermail
Class DBMimePart

    java.lang.Object
      BodyPart
          com.knowgate.hipermail.DBMimePart

    public class DBMimePart

extends BodyPart

Constructor Summary
`DBMimePart(Multipart oMultipart)`
`DBMimePart(Multipart oMultipart, int iIdPart, java.lang.String sIdContent, java.lang.String sContentType, java.lang.String sContentMD5, java.lang.String sDescription, java.lang.String sDisposition, java.lang.String sEncoding, java.lang.String sFileName, int nBytes)`

Method Summary
`void` | `addHeader(java.lang.String s1, java.lang.String s2)`
`void` | `addHeaderLine(java.lang.String line)`
`java.util.Enumeration` | `getAllHeaderLines()`
`java.util.Enumeration` | `getAllHeaders()`
`java.lang.Object` | `getContent()`
`java.lang.String` | `getContentID()`
`java.lang.String[]` | `getContentLanguage()`
`java.lang.String` | `getContentMD5()`
`java.lang.String` | `getContentType()`
`javax.activation.DataHandler` | `getDataHandler()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisposition()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getFileName()`
`java.lang.String[]` | `getHeader(java.lang.String name)`
`java.lang.String` | `getHeader(java.lang.String name, java.lang.String delimiter)`
`java.io.InputStream` | `getInputStream()`
`int` | `getLineCount()`
`java.util.Enumeration` | `getMatchingHeaderLines(java.lang.String[] names)`
`java.util.Enumeration` | `getMatchingHeaders(java.lang.String[] names)`
`static MimePart` | `getMessagePart(MimePart oPart, int nPart)`
`static java.lang.String` | `getMimeType(JDCConnection oConn, java.lang.String sFileName)`
`java.util.Enumeration` | `getNonMatchingHeaderLines(java.lang.String[] names)`
`java.util.Enumeration` | `getNonMatchingHeaders(java.lang.String[] names)`
`int` | `getPartId()`
`int` | `getSize()`
`java.lang.String` | `getText()`
`boolean` | `isMimeType(java.lang.String sMimeTp)`
`static int` | `parseMimePart(java.lang.StringBuffer oStrBuff, java.util.LinkedList oAttachments, java.lang.String sFolder, java.lang.String sMsgId, MimePart oPart, int nPart)`
`void` | `removeHeader(java.lang.String header)`
`void` | `setContent(Multipart oPart)`
`void` | `setContent(java.lang.Object oObj)`
`void` | `setContent(java.lang.Object oObj, java.lang.String s)`
`void` | `setContentId(java.lang.String sId)`
`void` | `setContentLanguage(java.lang.String[] aLangs)`
`void` | `setContentMD5(java.lang.String sMD5)`
`void` | `setDataHandler(javax.activation.DataHandler oDataHndlr)`
`void` | `setDescription(java.lang.String sDesc)`
`void` | `setDisposition(java.lang.String sDisposition)`
`void` | `setEncoding(java.lang.String sEncoding)`
`void` | `setFileName(java.lang.String sName)`
`void` | `setHeader(java.lang.String s1, java.lang.String s2)`
`void` | `setPartId(int iId)`
`void` | `setSize(int nBytes)`
`void` | `setText(java.lang.String sTxt)`
`void` | `setText(java.lang.String sTxt, java.lang.String sEncoding)`
`void` | `setText(java.lang.String sTxt, java.lang.String sEncoding, java.lang.String sStr)`
`static java.lang.String` | `textToHtml(java.lang.String sText)`
`void` | `writeTo(java.io.OutputStream oOutStrm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBMimePart

    public DBMimePart(Multipart oMultipart)

### DBMimePart

    public DBMimePart(Multipart oMultipart,
                      int iIdPart,
                      java.lang.String sIdContent,
                      java.lang.String sContentType,
                      java.lang.String sContentMD5,
                      java.lang.String sDescription,
                      java.lang.String sDisposition,
                      java.lang.String sEncoding,
                      java.lang.String sFileName,
                      int nBytes)
               throws MessagingException

Throws:
  `MessagingException`

Method Detail

### getHeader

    public java.lang.String[] getHeader(java.lang.String name)
                                 throws MessagingException

  Throws:
    `MessagingException`

### getHeader

    public java.lang.String getHeader(java.lang.String name,
                                      java.lang.String delimiter)
                               throws MessagingException

  Throws:
    `MessagingException`

### getAllHeaders

    public java.util.Enumeration getAllHeaders()
                                        throws MessagingException

  Throws:
    `MessagingException`

### getMatchingHeaders

    public java.util.Enumeration getMatchingHeaders(java.lang.String[] names)
                                             throws MessagingException

  Throws:
    `MessagingException`

### getNonMatchingHeaders

    public java.util.Enumeration getNonMatchingHeaders(java.lang.String[] names)
                                                throws MessagingException

  Throws:
    `MessagingException`

### addHeader

    public void addHeader(java.lang.String s1,
                          java.lang.String s2)
                   throws MessagingException

  Throws:
    `MessagingException`

### setHeader

    public void setHeader(java.lang.String s1,
                          java.lang.String s2)
                   throws MessagingException

  Throws:
    `MessagingException`

### removeHeader

    public void removeHeader(java.lang.String header)
                      throws MessagingException

  Throws:
    `MessagingException`

### addHeaderLine

    public void addHeaderLine(java.lang.String line)
                       throws MessagingException

  Throws:
    `MessagingException`

### getAllHeaderLines

    public java.util.Enumeration getAllHeaderLines()
                                            throws MessagingException

  Throws:
    `MessagingException`

### getMatchingHeaderLines

    public java.util.Enumeration getMatchingHeaderLines(java.lang.String[] names)
                                                 throws MessagingException

  Throws:
    `MessagingException`

### getNonMatchingHeaderLines

    public java.util.Enumeration getNonMatchingHeaderLines(java.lang.String[] names)
                                                    throws MessagingException

  Throws:
    `MessagingException`

### getContent

    public java.lang.Object getContent()
                                throws MessagingException,
                                       java.io.IOException

  Throws:
    `MessagingException`
    `java.io.IOException`

### getDataHandler

    public javax.activation.DataHandler getDataHandler()
                                                throws MessagingException

  Throws:
    `MessagingException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws MessagingException,
                                              java.io.IOException

  Throws:
    `MessagingException`
    `java.io.IOException`

### getContentMD5

    public java.lang.String getContentMD5()
                                   throws MessagingException

  Throws:
    `MessagingException`

### getLineCount

    public int getLineCount()
                     throws MessagingException

  Throws:
    `MessagingException`

### isMimeType

    public boolean isMimeType(java.lang.String sMimeTp)
                       throws MessagingException

  Throws:
    `MessagingException`

### getContentID

    public java.lang.String getContentID()

### setDisposition

    public void setDisposition(java.lang.String sDisposition)

### setContentLanguage

    public void setContentLanguage(java.lang.String[] aLangs)

### getContentLanguage

    public java.lang.String[] getContentLanguage()

### getDescription

    public java.lang.String getDescription()
                                    throws MessagingException

  Throws:
    `MessagingException`

### getDisposition

    public java.lang.String getDisposition()
                                    throws MessagingException

  Throws:
    `MessagingException`

### getFileName

    public java.lang.String getFileName()
                                 throws MessagingException

  Throws:
    `MessagingException`

### getContentType

    public java.lang.String getContentType()

### getEncoding

    public java.lang.String getEncoding()

### getPartId

    public int getPartId()

### getSize

    public int getSize()

### getText

    public java.lang.String getText()
                             throws java.sql.SQLException,
                                    java.io.UnsupportedEncodingException,
                                    MessagingException,
                                    java.io.IOException

  Throws:
    `java.sql.SQLException`
    `java.io.UnsupportedEncodingException`
    `MessagingException`
    `java.io.IOException`

### setDataHandler

    public void setDataHandler(javax.activation.DataHandler oDataHndlr)

### setText

    public void setText(java.lang.String sTxt)

### setText

    public void setText(java.lang.String sTxt,
                        java.lang.String sEncoding)

### setText

    public void setText(java.lang.String sTxt,
                        java.lang.String sEncoding,
                        java.lang.String sStr)

### setContentMD5

    public void setContentMD5(java.lang.String sMD5)

### setContent

    public void setContent(java.lang.Object oObj)

### setContent

    public void setContent(java.lang.Object oObj,
                           java.lang.String s)

### setContent

    public void setContent(Multipart oPart)

### setFileName

    public void setFileName(java.lang.String sName)

### setDescription

    public void setDescription(java.lang.String sDesc)

### setContentId

    public void setContentId(java.lang.String sId)

### setEncoding

    public void setEncoding(java.lang.String sEncoding)

### setPartId

    public void setPartId(int iId)

### setSize

    public void setSize(int nBytes)

### textToHtml

    public static java.lang.String textToHtml(java.lang.String sText)

### getMessagePart

    public static MimePart getMessagePart(MimePart oPart,
                                          int nPart)
                                   throws MessagingException,
                                          java.io.IOException,
                                          java.io.UnsupportedEncodingException

  Throws:
    `MessagingException`
    `java.io.IOException`
    `java.io.UnsupportedEncodingException`

### parseMimePart

    public static int parseMimePart(java.lang.StringBuffer oStrBuff,
                                    java.util.LinkedList oAttachments,
                                    java.lang.String sFolder,
                                    java.lang.String sMsgId,
                                    MimePart oPart,
                                    int nPart)
                             throws MessagingException,
                                    java.io.IOException,
                                    java.io.UnsupportedEncodingException

  Throws:
    `MessagingException`
    `java.io.IOException`
    `java.io.UnsupportedEncodingException`

### getMimeType

    public static java.lang.String getMimeType(JDCConnection oConn,
                                               java.lang.String sFileName)
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### writeTo

    public void writeTo(java.io.OutputStream oOutStrm)
                 throws java.io.IOException,
                        MessagingException

  Throws:
    `java.io.IOException`
    `MessagingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD